diff --git a/tools/jenkins/run_interop.sh b/tools/jenkins/run_interop.sh
index 14e075691cd31303576519bf5a6efe0fdf9e59b1..b1cf7b57485652a3e4aab68279ed5b650b3af1c0 100755
--- a/tools/jenkins/run_interop.sh
+++ b/tools/jenkins/run_interop.sh
@@ -34,4 +34,4 @@ set -ex
 # Enter the gRPC repo root
 cd $(dirname $0)/../..
 
-tools/run_tests/run_interop_tests.py -l all -s all --cloud_to_prod --use_docker -t -j 8 $@ || true
+tools/run_tests/run_interop_tests.py -l all -s all --cloud_to_prod --cloud_to_prod_auth --use_docker -t -j 8 $@ || true